import { Web3SideChainClient } from "../utils";
import { ExitUtil } from "../pos";
export declare class BridgeClient<T> {
    protected client: Web3SideChainClient<T>;
    constructor(config: T);
    exitUtil: ExitUtil;
    /**
     * check whether a txHash is checkPointed
     *
     * @param {string} txHash
     * @returns
     * @memberof BridgeClient
     */
    isCheckPointed(txHash: string): Promise<boolean>;
    isDeposited(depositTxHash: string): Promise<boolean>;
}
